Information Security
Инфосистемы Джет corporate blog
Comments 3
+3
Есть что-то, что трудно портировать для запуска в Metasploit Framework без долгого допиливания? Теперь Metasploit 5.0 включает поддержку трех разных языков модулей: Go, Python и Ruby, это существенно упростит добавление нового функционала.

Ушла последняя (для меня) причина Ruby учить))

+3

Раньше эксплуатация уязвимостей описывалась только Ruby-модулями. Соответственно, что бы добавить что-то свое (PoC эксплуатации) нужно было писать на Ruby.
А больше с этим языком я в своей практике не сталкивался. В следующий раз, при необходимости что-то добавить, я выберу python.

Only those users with full accounts are able to leave comments. , please.